Bug 251998 - Review Request: perl-ExtUtils-MakeMaker-Coverage - Allows perl modules to check test coverage with Devel::Cover
Review Request: perl-ExtUtils-MakeMaker-Coverage - Allows perl modules to che...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 14:43 EDT by Robin Norwood
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 16:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2007-08-13 14:43:24 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/perl-ExtUtils-MakeMaker-Coverage.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/perl-ExtUtils-MakeMaker-Coverage-0.05-1.fc7.src.rpm
Description: This module allows ExtUtils::MakeMaker to use Devel::Coverage to do code coverage tests on a module.  Useful for module developers and packagers.
Comment 1 Parag AN(पराग) 2007-08-17 00:09:38 EDT
Got following mock build failure log 
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00.load...............Can't locate Test/More.pm in @INC (@INC contains:
/builddir/build/BUILD/ExtUtils-MakeMaker-Coverage-0.05/blib/lib
/builddir/build/BUILD/ExtUtils-MakeMaker-Coverage-0.05/blib/arch
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at t/00.load.t line 1.
BEGIN failed--compilation aborted at t/00.load.t line 1.
dubious
        Test returned status 2 (wstat 512, 0x200)
t/mm_coverage...........Can't locate Test/More.pm in @INC (@INC contains:
/builddir/build/BUILD/ExtUtils-MakeMaker-Coverage-0.05/blib/lib
/builddir/build/BUILD/ExtUtils-MakeMaker-Coverage-0.05/blib/arch
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at t/mm_coverage.t line 5.
BEGIN failed--compilation aborted at t/mm_coverage.t line 5.
dubious
        Test returned status 2 (wstat 512, 0x200)
t/mm_coverage_config....Can't locate Test/More.pm in @INC (@INC contains:
/builddir/build/BUILD/ExtUtils-MakeMaker-Coverage-0.05/blib/lib
/builddir/build/BUILD/ExtUtils-MakeMaker-Coverage-0.05/blib/arch
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at t/mm_coverage_config.t line 5.
BEGIN failed--compilation aborted at t/mm_coverage_config.t line 5.
dubious
        Test returned status 2 (wstat 512, 0x200)
t/pod-coverage..........Can't locate Test/More.pm in @INC (@INC contains:
/builddir/build/BUILD/ExtUtils-MakeMaker-Coverage-0.05/blib/lib
/builddir/build/BUILD/ExtUtils-MakeMaker-Coverage-0.05/blib/arch
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8) at t/pod-coverage.t line 3.
BEGIN failed--compilation aborted at t/pod-coverage.t line 3.
dubious
        Test returned status 2 (wstat 512, 0x200)
FAILED--5 test scripts could be run, alas--no output ever seen
make: *** [test_dynamic] Error 2
Comment 2 Parag AN(पराग) 2007-08-17 01:26:46 EDT
good to have t/* added under %doc
Comment 3 Robin Norwood 2007-08-17 14:32:57 EDT
ok - new spec file and SRPM with fixed BuildRequires:

http://people.redhat.com/rnorwood/rpms/perl-ExtUtils-MakeMaker-Coverage-0.05-2.fc7.src.rpm
http://people.redhat.com/rnorwood/rpms/perl-ExtUtils-MakeMaker-Coverage.spec

wrt the suggestion of including tests in %doc - that doesn't seem to be standard
procedure for perl rpms in fedora.  If we were to do this, I'd rather make the
decision to do in wholesale than on a case by case basis.
Comment 4 Parag AN(पराग) 2007-08-19 23:58:26 EDT
t/pod-coverage..........skipped
        all skipped: Test::Pod::Coverage 1.04 required for testing POD coverage
t/pod...................skipped
        all skipped: Test::Pod 1.14 required for testing POD
All tests successful, 2 tests skipped.
tests got skipped. Can you enable them and test that also?
Comment 6 Parag AN(पराग) 2007-08-20 23:04:18 EDT
cool. Thanks for updates
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c48557fe6e6c92e2d36e2eda9ae7e746  ExtUtils-MakeMaker-Coverage-0.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00.load...............# Testing ExtUtils::MakeMaker::Coverage 0.05
ok
t/mm_coverage...........ok
t/mm_coverage_config....ok
t/pod-coverage..........ok
t/pod...................ok
All tests successful.
Files=5, Tests=39,  1 wallclock secs ( 0.34 cusr +  0.07 csys =  0.41 CPU)
+ exit 0
+ Provides: perl(ExtUtils::MakeMaker::Coverage) = 0.05
+ Requires: /usr/bin/perl perl(:MODULE_COMPAT_5.8.8)
perl(ExtUtils::MakeMaker::Coverage) perl(File::Basename) perl(Getopt::Long)
perl(base) perl(strict) perl(warnings)

APPROVED.
Comment 7 Robin Norwood 2007-08-21 08:54:04 EDT
New Package CVS Request
=======================
Package Name: perl-ExtUtils-MakeMaker-Coverage
Short Description: Allows perl modules to check test coverage with Devel::Cover
Owners: rnorwood@redhat.com
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com
Commits by cvsextras: no
Comment 8 Tom "spot" Callaway 2007-08-21 10:58:27 EDT
cvs done.
Comment 9 Robin Norwood 2007-08-23 16:22:57 EDT
Built for devel/f8

Note You need to log in before you can comment on or make changes to this bug.